package com.fs.app.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class QWConfigProperties {

    @Value("${custom.token}")
    private String token;

    @Value("${custom.encoding-aes-key}")
    private String encodingAesKey;

    @Value("${custom.corp-id}")
    private String corpId;
    @Value("${custom.secret}")
    private String secret;

    @Value("${custom.private-key-path}")
    private String privateKeyPath;

    @Value("${custom.webhook-url}")
    private String webhookUrl;

    public String getToken() {
        return token;
    }

    public String getEncodingAesKey() {
        return encodingAesKey;
    }

    public String getCorpId() {
        return corpId;
    }

    public String getSecret() {
        return secret;
    }

    public String getPrivateKeyPath() {
        return privateKeyPath;
    }

    public String getWebhookUrl() {
        return webhookUrl;
    }
}
